Subject: Re: bug#60691: 29.0.60; Slow tree-sitter font-lock in ruby-ts-mode

From: Andreas Schwab <[email-masked]>
Date: Sat, 14 Jan 2023 09:46:45 +0100

On Jan 13 2023, Yuan Fu wrote:

>> On Jan 13, 2023, at 11:29 PM, Eli Zaretskii <[email-masked]> wrote:
>> 
>>> From: Yuan Fu <[email-masked]>
>>> Date: Fri, 13 Jan 2023 19:48:40 -0800
>>> Cc: [email-masked],
>>> [email-masked],
>>> [email-masked],
>>> [email-masked]
>>> 
>>> Thanks, I pushed a fix for it. I also used intern_c_string in some places like these:
>>> 
>>> intern_c_string (":?”)
>>> intern_c_string (":*")
>>> 
>>> I want to change them to use DEFSYM, but what should be the c name for them?
>> 
>> Yes, DEFSYM is better in such cases.  The C name can be QCquestion and
>> QCasterix, for example.
>
> My worry is that they will conflict with, eg, symbol `question’ and `asterix’, if someone ever defines them in the C codebase. Is that not possible?

The C name of the symbol `question' would be Qquestion, without the C
(which stands for the `:' prefix).

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."